<?php
	!defined('DIRCMS_MANAGE') && exit('Access Denied!');
	$topmenu=array();
	$r=cache_read('module.cache.php',DIRCMS_ROOT.'data/cache_module/');
	$i=1;
	foreach($r as $_r)
	{
		if($i<9 && $_r['istop'] && !$_r['disabled'] && ($_userid==ADMIN_FOUNDERS||$_roleid==1||in_array($_roleid,$_r['roleid'])))
		{
			$topmenu[]=$_r;
			$i++;
		}
	}
	$domain=parse_url($DIRCMS['site_url']);
	$domain=getRootDomain($domain['host'])?getRootDomain($domain['host']):$domain['host'];
	include admin_tlp('top');
?>